<?php


ob_start();
ini_set('session.cookie_httponly',true);
if (!empty($_REQUEST['PHPSESSID'])) {
    $_POST['PHPSESSID'] = $_REQUEST['PHPSESSID'];
}


include_once('../configuration.php');
$configObj = new configuration(true);
$module = $_REQUEST['module'];

$configObj->currentModulePath = "" . GLOBAL_MODULES_PATH . "/$module/";
//echo $configObj->glSessionObj->is_set('admin_id');
if ($configObj->glSessionObj->is_set('admin_id')) {
    switch ($module) {
        case 'pages':
            include_once('modules/pages/pages.php');
            break;

        case 'settings':
          include_once('modules/settings/settings.php');
            break;

        case 'commonpdf':
            include_once('modules/commonpdf/commonpdf.php');
            break;

        case 'news':
            include_once('modules/news/news.php');
            break;
        
        case 'newsletter':
            include_once('modules/newsletter/newsletter.php');
            break;
        
        case 'comments':
            include_once('modules/comments/comments.php');
            break;

         case 'contactusmsg':
            include_once('modules/contactusmsg/inquiry.php');
            break;
        
        case 'ourteam':
            include_once('modules/ourteam/ourteam.php');
            break;
        
        case 'photoalbum':
            include_once('modules/photoalbum/photoalbum.php');
            break;
        
        case 'product':
            include_once('modules/product/product.php');
            break;
        
        case 'services':
            include_once('modules/services/services.php');
            break;
        
        
        case 'banner':
            include_once('modules/banner/banner.php');
            break;
        
        case 'special':
            include_once('modules/special/special.php');
            break;

        
        case 'users':
            include_once('modules/users/users.php');
            break;

        case 'contactuspage':
            include_once('modules/contactuspage/contactuspage.php');
            break;

        case 'accesscontrol':
            include_once('modules/accesscontrol/accesscontrol.php');
            break;

        case 'modcontrol':
            include_once('modules/modcontrol/modcontrol.php');
            break;

        case 'contactusmsg':
            include_once('modules/contactusmsg/inquiry.php');
            break;



        case 'managephoto':
            include_once('modules/managephoto/managephoto.php');
            break;
        
        case 'videogallery':
            include_once('modules/videogallery/videogallery.php');
            break;
        
        case 'photogallery':
            include_once('modules/photogallery/photogallery.php');
            break;
        
        case 'productphotogallery':
            include_once('modules/productphotogallery/productphotogallery.php');
            break;

        case 'trashmanager':
            include_once('modules/trashmanager/trashmanager.php');
            break;

        case 'login':
            include_once('modules/login/login.php');
            break;
			
			case 'fblogmanager':
            include_once('modules/fblogmanager/fblogmanager.php');
            break;
        
        case 'pagephoto':
            include_once('modules/pagephoto/pagephoto.php');
            break;
        case 'packagetype':
            include_once('modules/packagetype/packagetype.php');
            break;

        case 'package':
            include_once('modules/package/package.php');
            break;
        
        case 'dbackup':
            include_once('modules/dbackup/dbackup.php');
            break;
        
         case 'appointment':
            include_once('modules/appointment/appointment.php');
            break;
        
        case 'service_category':
            include_once('modules/service_category/service_category.php');
            break;

        default:
            include_once('modules/dashboard/dashboard.php');
            break;
    }

    if (!$configObj->isAjaxSet) {
        include_once('modules/headerpanel/headerpanel.php');
     //   include_once('modules/leftpanel/leftpanel.php');
        include_once('modules/footerpanel/footerpanel.php');
        include_once('html/output.tpl.php');
    }
} else {
    $configObj->currentModulePath = "" . GLOBAL_MODULES_PATH . "/login/";
    include_once('modules/login/login.php');
}
?>